Kea: isc::dhcp::Dhcp4Parser Class Reference

| Kea 3.2.0-git

isc::dhcp::Dhcp4Parser Class Reference

A Bison parser. More...

`#include <dhcp4_parser.h>`

## Classes
struct | basic_symbol
| A complete symbol. More...
struct | by_kind
| Type access provider for token (enum) based symbols. More...
class | context
struct | symbol_kind
| Symbol kinds. More...
struct | symbol_type
| "External" symbols: returned by the scanner. More...
struct | syntax_error
| Syntax errors thrown from user actions. More...
struct | token
| Token kinds. More...
class | value_type
| A buffer to store and retrieve objects. More...

## Public Types
typedef by_kind | by_type
| Backward compatibility for a private implementation detail (Bison 3.6).
typedef location | location_type
| Symbol locations.
typedef value_type | semantic_type
| Backward compatibility (Bison 3.8).
typedef symbol_kind::symbol_kind_type | symbol_kind_type
| (Internal) symbol kind.
typedef token::token_kind_type | token_kind_type
| Token kind, as returned by yylex.
typedef token_kind_type | token_type
| Backward compatibility alias (Bison 3.6).

## Public Member Functions
| Dhcp4Parser (isc::dhcp::Parser4Context &ctx_yyarg)
| Build a parser object.
virtual | ~Dhcp4Parser ()
virtual void | error (const location_type &loc, const std::string &msg)
| Report a syntax error.
void | error (const syntax_error &err)
| Report a syntax error.
int | operator() ()
| Parse.
virtual int | parse ()
| Parse.

## Static Public Member Functions
static symbol_type | make_ADAPTIVE_LEASE_TIME_THRESHOLD (const location_type &l)
static symbol_type | make_ALLOCATOR (const location_type &l)
static symbol_type | make_ALWAYS (const location_type &l)
static symbol_type | make_ALWAYS_SEND (const location_type &l)
static symbol_type | make_ARRAY (const location_type &l)
static symbol_type | make_AUTHENTICATION (const location_type &l)
static symbol_type | make_AUTHORITATIVE (const location_type &l)
static symbol_type | make_BASIC (const location_type &l)
static symbol_type | make_BOOLEAN (const bool &v, const location_type &l)
static symbol_type | make_BOOT_FILE_NAME (const location_type &l)
static symbol_type | make_CACHE_MAX_AGE (const location_type &l)
static symbol_type | make_CACHE_THRESHOLD (const location_type &l)
static symbol_type | make_CALCULATE_TEE_TIMES (const location_type &l)
static symbol_type | make_CAPACITY (const location_type &l)
static symbol_type | make_CERT_FILE (const location_type &l)
static symbol_type | make_CERT_REQUIRED (const location_type &l)
static symbol_type | make_CHECK_EXISTS_WITH_DHCID (const location_type &l)
static symbol_type | make_CHECK_WITH_DHCID (const location_type &l)
static symbol_type | make_CIPHER_LIST (const location_type &l)
static symbol_type | make_CIRCUIT_ID (const location_type &l)
static symbol_type | make_CLIENT_CLASS (const location_type &l)
static symbol_type | make_CLIENT_CLASSES (const location_type &l)
static symbol_type | make_CLIENT_ID (const location_type &l)
static symbol_type | make_CLIENTS (const location_type &l)
static symbol_type | make_CODE (const location_type &l)
static symbol_type | make_COLON (const location_type &l)
static symbol_type | make_COMMA (const location_type &l)
static symbol_type | make_COMMENT (const location_type &l)
static symbol_type | make_COMPATIBILITY (const location_type &l)
static symbol_type | make_CONFIG_CONTROL (const location_type &l)
static symbol_type | make_CONFIG_DATABASES (const location_type &l)
static symbol_type | make_CONFIG_FETCH_WAIT_TIME (const location_type &l)
static symbol_type | make_CONNECT_TIMEOUT (const location_type &l)
static symbol_type | make_CONTROL_SOCKET (const location_type &l)
static symbol_type | make_CONTROL_SOCKETS (const location_type &l)
static symbol_type | make_CSV_FORMAT (const location_type &l)
static symbol_type | make_DATA (const location_type &l)
static symbol_type | make_DDNS_CONFLICT_RESOLUTION_MODE (const location_type &l)
static symbol_type | make_DDNS_GENERATED_PREFIX (const location_type &l)
static symbol_type | make_DDNS_OVERRIDE_CLIENT_UPDATE (const location_type &l)
static symbol_type | make_DDNS_OVERRIDE_NO_UPDATE (const location_type &l)
static symbol_type | make_DDNS_QUALIFYING_SUFFIX (const location_type &l)
static symbol_type | make_DDNS_REPLACE_CLIENT_NAME (const location_type &l)
static symbol_type | make_DDNS_SEND_UPDATES (const location_type &l)
static symbol_type | make_DDNS_TTL (const location_type &l)
static symbol_type | make_DDNS_TTL_MAX (const location_type &l)
static symbol_type | make_DDNS_TTL_MIN (const location_type &l)
static symbol_type | make_DDNS_TTL_PERCENT (const location_type &l)
static symbol_type | make_DDNS_UPDATE_ON_RENEW (const location_type &l)
static symbol_type | make_DDNS_USE_CONFLICT_RESOLUTION (const location_type &l)
static symbol_type | make_DEBUGLEVEL (const location_type &l)
static symbol_type | make_DECLINE_PROBATION_PERIOD (const location_type &l)
static symbol_type | make_DHCP4 (const location_type &l)
static symbol_type | make_DHCP4O6_PORT (const location_type &l)
static symbol_type | make_DHCP_DDNS (const location_type &l)
static symbol_type | make_DHCP_MULTI_THREADING (const location_type &l)
static symbol_type | make_DHCP_QUEUE_CONTROL (const location_type &l)
static symbol_type | make_DHCP_SOCKET_TYPE (const location_type &l)
static symbol_type | make_DIRECTORY (const location_type &l)
static symbol_type | make_DISABLE (const location_type &l)
static symbol_type | make_DUID (const location_type &l)
static symbol_type | make_EARLY_GLOBAL_RESERVATIONS_LOOKUP (const location_type &l)
static symbol_type | make_ECHO_CLIENT_ID (const location_type &l)
static symbol_type | make_ENABLE_MULTI_THREADING (const location_type &l)
static symbol_type | make_ENABLE_QUEUE (const location_type &l)
static symbol_type | make_ENABLE_UPDATES (const location_type &l)
static symbol_type | make_ENCAPSULATE (const location_type &l)
static symbol_type | make_END (const location_type &l)
static symbol_type | make_EVALUATE_ADDITIONAL_CLASSES (const location_type &l)
static symbol_type | make_EXCLUDE_FIRST_LAST_24 (const location_type &l)
static symbol_type | make_EXPIRED_LEASES_PROCESSING (const location_type &l)
static symbol_type | make_EXTENDED_INFO_CHECKS (const location_type &l)
static symbol_type | make_FLEX_ID (const location_type &l)
static symbol_type | make_FLOAT (const double &v, const location_type &l)
static symbol_type | make_FLUSH (const location_type &l)
static symbol_type | make_FLUSH_RECLAIMED_TIMER_WAIT_TIME (const location_type &l)
static symbol_type | make_HOLD_RECLAIMED_TIME (const location_type &l)
static symbol_type | make_HOOKS_LIBRARIES (const location_type &l)
static symbol_type | make_HOST (const location_type &l)
static symbol_type | make_HOST_RESERVATION_IDENTIFIERS (const location_type &l)
static symbol_type | make_HOSTNAME (const location_type &l)
static symbol_type | make_HOSTNAME_CHAR_REPLACEMENT (const location_type &l)
static symbol_type | make_HOSTNAME_CHAR_SET (const location_type &l)
static symbol_type | make_HOSTS_DATABASE (const location_type &l)
static symbol_type | make_HOSTS_DATABASES (const location_type &l)
static symbol_type | make_HTTP (const location_type &l)
static symbol_type | make_HTTP_HEADERS (const location_type &l)
static symbol_type | make_HTTPS (const location_type &l)
static symbol_type | make_HW_ADDRESS (const location_type &l)
static symbol_type | make_ID (const location_type &l)
static symbol_type | make_IGNORE_DHCP_SERVER_ID (const location_type &l)
static symbol_type | make_IGNORE_RAI_LINK_SEL (const location_type &l)
static symbol_type | make_INTEGER (const int64_t &v, const location_type &l)
static symbol_type | make_INTERFACE (const location_type &l)
static symbol_type | make_INTERFACES (const location_type &l)
static symbol_type | make_INTERFACES_CONFIG (const location_type &l)
static symbol_type | make_IP_ADDRESS (const location_type &l)
static symbol_type | make_IP_ADDRESSES (const location_type &l)
static symbol_type | make_IP_RESERVATIONS_UNIQUE (const location_type &l)
static symbol_type | make_JSON (const location_type &l)
static symbol_type | make_KEY_FILE (const location_type &l)
static symbol_type | make_LCURLY_BRACKET (const location_type &l)
static symbol_type | make_LEASE_CHECKS (const location_type &l)
static symbol_type | make_LEASE_DATABASE (const location_type &l)
static symbol_type | make_LENIENT_OPTION_PARSING (const location_type &l)
static symbol_type | make_LFC_INTERVAL (const location_type &l)
static symbol_type | make_LIBRARY (const location_type &l)
static symbol_type | make_LOGGERS (const location_type &l)
static symbol_type | make_LSQUARE_BRACKET (const location_type &l)
static symbol_type | make_MATCH_CLIENT_ID (const location_type &l)
static symbol_type | make_MAX_QUEUE_SIZE (const location_type &l)
static symbol_type | make_MAX_RECLAIM_LEASES (const location_type &l)
static symbol_type | make_MAX_RECLAIM_TIME (const location_type &l)
static symbol_type | make_MAX_RECONNECT_TRIES (const location_type &l)
static symbol_type | make_MAX_ROW_ERRORS (const location_type &l)
static symbol_type | make_MAX_VALID_LIFETIME (const location_type &l)
static symbol_type | make_MAXSIZE (const location_type &l)
static symbol_type | make_MAXVER (const location_type &l)
static symbol_type | make_MIN_VALID_LIFETIME (const location_type &l)
static symbol_type | make_NAME (const location_type &l)
static symbol_type | make_NCR_FORMAT (const location_type &l)
static symbol_type | make_NCR_PROTOCOL (const location_type &l)
static symbol_type | make_NEVER (const location_type &l)
static symbol_type | make_NEVER_SEND (const location_type &l)
static symbol_type | make_NEXT_SERVER (const location_type &l)
static symbol_type | make_NO_CHECK_WITH_DHCID (const location_type &l)
static symbol_type | make_NO_CHECK_WITHOUT_DHCID (const location_type &l)
static symbol_type | make_NULL_TYPE (const location_type &l)
static symbol_type | make_OFFER_LFT (const location_type &l)
static symbol_type | make_ON_FAIL (const location_type &l)
static symbol_type | make_ONLY_IF_REQUIRED (const location_type &l)
static symbol_type | make_ONLY_IN_ADDITIONAL_LIST (const location_type &l)
static symbol_type | make_OPTION_DATA (const location_type &l)
static symbol_type | make_OPTION_DEF (const location_type &l)
static symbol_type | make_OUTBOUND_INTERFACE (const location_type &l)
static symbol_type | make_OUTPUT (const location_type &l)
static symbol_type | make_OUTPUT_OPTIONS (const location_type &l)
static symbol_type | make_PACKET_QUEUE_SIZE (const location_type &l)
static symbol_type | make_PARAMETERS (const location_type &l)
static symbol_type | make_PARKED_PACKET_LIMIT (const location_type &l)
static symbol_type | make_PARSER4_error (const location_type &l)
static symbol_type | make_PARSER4_UNDEF (const location_type &l)
static symbol_type | make_PASSWORD (const location_type &l)
static symbol_type | make_PASSWORD_FILE (const location_type &l)
static symbol_type | make_PATTERN (const location_type &l)
static symbol_type | make_PERSIST (const location_type &l)
static symbol_type | make_POOL (const location_type &l)
static symbol_type | make_POOL_ID (const location_type &l)
static symbol_type | make_POOLS (const location_type &l)
static symbol_type | make_PORT (const location_type &l)
static symbol_type | make_PREFER (const location_type &l)
static symbol_type | make_QUEUE_TYPE (const location_type &l)
static symbol_type | make_RAW (const location_type &l)
static symbol_type | make_RCURLY_BRACKET (const location_type &l)
static symbol_type | make_RE_DETECT (const location_type &l)
static symbol_type | make_READ_TIMEOUT (const location_type &l)
static symbol_type | make_READONLY (const location_type &l)
static symbol_type | make_REALM (const location_type &l)
static symbol_type | make_REBIND_TIMER (const location_type &l)
static symbol_type | make_RECLAIM_TIMER_WAIT_TIME (const location_type &l)
static symbol_type | make_RECONNECT_WAIT_TIME (const location_type &l)
static symbol_type | make_RECORD_TYPES (const location_type &l)
static symbol_type | make_RELAY (const location_type &l)
static symbol_type | make_RENEW_TIMER (const location_type &l)
static symbol_type | make_REQUIRE (const location_type &l)
static symbol_type | make_REQUIRE_CLIENT_CLASSES (const location_type &l)
static symbol_type | make_RESERVATIONS (const location_type &l)
static symbol_type | make_RESERVATIONS_GLOBAL (const location_type &l)
static symbol_type | make_RESERVATIONS_IN_SUBNET (const location_type &l)
static symbol_type | make_RESERVATIONS_LOOKUP_FIRST (const location_type &l)
static symbol_type | make_RESERVATIONS_OUT_OF_POOL (const location_type &l)
static symbol_type | make_RETRY_ON_STARTUP (const location_type &l)
static symbol_type | make_RSQUARE_BRACKET (const location_type &l)
static symbol_type | make_SAME_AS_INBOUND (const location_type &l)
static symbol_type | make_SANITY_CHECKS (const location_type &l)
static symbol_type | make_SENDER_IP (const location_type &l)
static symbol_type | make_SENDER_PORT (const location_type &l)
static symbol_type | make_SERVE_RETRY_CONTINUE (const location_type &l)
static symbol_type | make_SERVE_RETRY_EXIT (const location_type &l)
static symbol_type | make_SERVER_HOSTNAME (const location_type &l)
static symbol_type | make_SERVER_IP (const location_type &l)
static symbol_type | make_SERVER_PORT (const location_type &l)
static symbol_type | make_SERVER_TAG (const location_type &l)
static symbol_type | make_SERVICE_SOCKETS_MAX_RETRIES (const location_type &l)
static symbol_type | make_SERVICE_SOCKETS_REQUIRE_ALL (const location_type &l)
static symbol_type | make_SERVICE_SOCKETS_RETRY_WAIT_TIME (const location_type &l)
static symbol_type | make_SEVERITY (const location_type &l)
static symbol_type | make_SHARED_NETWORKS (const location_type &l)
static symbol_type | make_SOCKET_ADDRESS (const location_type &l)
static symbol_type | make_SOCKET_NAME (const location_type &l)
static symbol_type | make_SOCKET_PORT (const location_type &l)
static symbol_type | make_SOCKET_TYPE (const location_type &l)
static symbol_type | make_SPACE (const location_type &l)
static symbol_type | make_SSL_MODE (const location_type &l)
static symbol_type | make_STASH_AGENT_OPTIONS (const location_type &l)
static symbol_type | make_STATISTIC_DEFAULT_SAMPLE_AGE (const location_type &l)
static symbol_type | make_STATISTIC_DEFAULT_SAMPLE_COUNT (const location_type &l)
static symbol_type | make_STOP_RETRY_EXIT (const location_type &l)
static symbol_type | make_STORE_EXTENDED_INFO (const location_type &l)
static symbol_type | make_STRING (const std::string &v, const location_type &l)
static symbol_type | make_SUB_CONFIG_CONTROL (const location_type &l)
static symbol_type | make_SUB_DHCP4 (const location_type &l)
static symbol_type | make_SUB_DHCP_DDNS (const location_type &l)
static symbol_type | make_SUB_HOOKS_LIBRARY (const location_type &l)
static symbol_type | make_SUB_INTERFACES4 (const location_type &l)
static symbol_type | make_SUB_OPTION_DATA (const location_type &l)
static symbol_type | make_SUB_OPTION_DEF (const location_type &l)
static symbol_type | make_SUB_OPTION_DEFS (const location_type &l)
static symbol_type | make_SUB_POOL4 (const location_type &l)
static symbol_type | make_SUB_RESERVATION (const location_type &l)
static symbol_type | make_SUB_SUBNET4 (const location_type &l)
static symbol_type | make_SUBNET (const location_type &l)
static symbol_type | make_SUBNET4 (const location_type &l)
static symbol_type | make_SUBNET_4O6_INTERFACE (const location_type &l)
static symbol_type | make_SUBNET_4O6_INTERFACE_ID (const location_type &l)
static symbol_type | make_SUBNET_4O6_SUBNET (const location_type &l)
static symbol_type | make_T1_PERCENT (const location_type &l)
static symbol_type | make_T2_PERCENT (const location_type &l)
static symbol_type | make_TCP (const location_type &l)
static symbol_type | make_TCP_USER_TIMEOUT (const location_type &l)
static symbol_type | make_TEMPLATE_TEST (const location_type &l)
static symbol_type | make_TEST (const location_type &l)
static symbol_type | make_THREAD_POOL_SIZE (const location_type &l)
static symbol_type | make_TOPLEVEL_DHCP4 (const location_type &l)
static symbol_type | make_TOPLEVEL_JSON (const location_type &l)
static symbol_type | make_TRUST_ANCHOR (const location_type &l)
static symbol_type | make_TYPE (const location_type &l)
static symbol_type | make_UDP (const location_type &l)
static symbol_type | make_UNIX (const location_type &l)
static symbol_type | make_UNWARNED_RECLAIM_CYCLES (const location_type &l)
static symbol_type | make_USE_ROUTING (const location_type &l)
static symbol_type | make_USER (const location_type &l)
static symbol_type | make_USER_CONTEXT (const location_type &l)
static symbol_type | make_USER_FILE (const location_type &l)
static symbol_type | make_VALID_LIFETIME (const location_type &l)
static symbol_type | make_VALUE (const location_type &l)
static symbol_type | make_VERIFY_CA (const location_type &l)
static symbol_type | make_VERIFY_FULL (const location_type &l)
static symbol_type | make_WHEN_NOT_PRESENT (const location_type &l)
static symbol_type | make_WHEN_PRESENT (const location_type &l)
static symbol_type | make_WRITE_TIMEOUT (const location_type &l)
static std::string | symbol_name (symbol_kind_type yysymbol)
| The user-facing name of the symbol whose (internal) number is YYSYMBOL.

## Static Public Attributes
static const symbol_kind_type | YYNTOKENS = symbol_kind::YYNTOKENS
| The number of tokens.

## Detailed Description

A Bison parser.

Definition at line 215 of file dhcp4_parser.h.

## Member Typedef Documentation

## ◆ by_type

typedef by_kind isc::dhcp::Dhcp4Parser::by_type

Backward compatibility for a private implementation detail (Bison 3.6).

Definition at line 1775 of file dhcp4_parser.h.

## ◆ location_type

typedef location isc::dhcp::Dhcp4Parser::location_type

Symbol locations.

Definition at line 475 of file dhcp4_parser.h.

## ◆ semantic_type

typedef value_type isc::dhcp::Dhcp4Parser::semantic_type

Backward compatibility (Bison 3.8).

Definition at line 472 of file dhcp4_parser.h.

## ◆ symbol_kind_type

typedef symbol_kind::symbol_kind_type isc::dhcp::Dhcp4Parser::symbol_kind_type

(Internal) symbol kind.

Definition at line 1490 of file dhcp4_parser.h.

## ◆ token_kind_type

typedef token::token_kind_type isc::dhcp::Dhcp4Parser::token_kind_type

Token kind, as returned by yylex.

Definition at line 748 of file dhcp4_parser.h.

## ◆ token_type

typedef token_kind_type isc::dhcp::Dhcp4Parser::token_type

Backward compatibility alias (Bison 3.6).

Definition at line 751 of file dhcp4_parser.h.

## Constructor & Destructor Documentation

## ◆ Dhcp4Parser()

isc::dhcp::Dhcp4Parser::Dhcp4Parser | ( | isc::dhcp::Parser4Context & | ctx_yyarg | ) |

Build a parser object.

Definition at line 152 of file dhcp4_parser.cc.

Referenced by isc::dhcp::Dhcp4Parser::context::context().

## ◆ ~Dhcp4Parser()

isc::dhcp::Dhcp4Parser::~Dhcp4Parser | ( |  | ) |
| virtual

Definition at line 162 of file dhcp4_parser.cc.

## Member Function Documentation

## ◆ error() [1/2]

void isc::dhcp::Dhcp4Parser::error | ( | const location_type & | loc,
|  | const std::string & | msg )
| virtual

Report a syntax error.

Parameters

  loc | where the syntax error is found.
  msg | a description of the syntax error.

Definition at line 7024 of file dhcp4_parser.cc.

## ◆ error() [2/2]

void isc::dhcp::Dhcp4Parser::error | ( | const syntax_error & | err | ) |

Report a syntax error.

Definition at line 5357 of file dhcp4_parser.cc.

References isc::db::error, and isc::dhcp::Dhcp4Parser::syntax_error::location.

## ◆ make_ADAPTIVE_LEASE_TIME_THRESHOLD()

symbol_type isc::dhcp::Dhcp4Parser::make_ADAPTIVE_LEASE_TIME_THRESHOLD | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3106 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ADAPTIVE_LEASE_TIME_THRESHOLD.

Referenced by while().

## ◆ make_ALLOCATOR()

symbol_type isc::dhcp::Dhcp4Parser::make_ALLOCATOR | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3631 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ALLOCATOR.

Referenced by while().

## ◆ make_ALWAYS()

symbol_type isc::dhcp::Dhcp4Parser::make_ALWAYS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4951 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ALWAYS.

Referenced by while().

## ◆ make_ALWAYS_SEND()

symbol_type isc::dhcp::Dhcp4Parser::make_ALWAYS_SEND | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3541 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ALWAYS_SEND.

Referenced by while().

## ◆ make_ARRAY()

symbol_type isc::dhcp::Dhcp4Parser::make_ARRAY | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3601 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ARRAY.

Referenced by while().

## ◆ make_AUTHENTICATION()

symbol_type isc::dhcp::Dhcp4Parser::make_AUTHENTICATION | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4546 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_AUTHENTICATION.

Referenced by while().

## ◆ make_AUTHORITATIVE()

symbol_type isc::dhcp::Dhcp4Parser::make_AUTHORITATIVE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2371 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_AUTHORITATIVE.

Referenced by while().

## ◆ make_BASIC()

symbol_type isc::dhcp::Dhcp4Parser::make_BASIC | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4561 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_BASIC.

Referenced by while().

## ◆ make_BOOLEAN()

symbol_type isc::dhcp::Dhcp4Parser::make_BOOLEAN | ( | const bool & | v,
|  | const location_type & | l )
| inlinestatic

Definition at line 5506 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_BOOLEAN.

Referenced by while().

## ◆ make_BOOT_FILE_NAME()

symbol_type isc::dhcp::Dhcp4Parser::make_BOOT_FILE_NAME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2416 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_BOOT_FILE_NAME.

Referenced by while().

## ◆ make_CACHE_MAX_AGE()

symbol_type isc::dhcp::Dhcp4Parser::make_CACHE_MAX_AGE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3091 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CACHE_MAX_AGE.

Referenced by while().

## ◆ make_CACHE_THRESHOLD()

symbol_type isc::dhcp::Dhcp4Parser::make_CACHE_THRESHOLD | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3076 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CACHE_THRESHOLD.

Referenced by while().

## ◆ make_CALCULATE_TEE_TIMES()

symbol_type isc::dhcp::Dhcp4Parser::make_CALCULATE_TEE_TIMES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3031 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CALCULATE_TEE_TIMES.

Referenced by while().

## ◆ make_CAPACITY()

symbol_type isc::dhcp::Dhcp4Parser::make_CAPACITY | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4741 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CAPACITY.

Referenced by while().

## ◆ make_CERT_FILE()

symbol_type isc::dhcp::Dhcp4Parser::make_CERT_FILE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2821 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CERT_FILE.

Referenced by while().

## ◆ make_CERT_REQUIRED()

symbol_type isc::dhcp::Dhcp4Parser::make_CERT_REQUIRED | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4651 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CERT_REQUIRED.

Referenced by while().

## ◆ make_CHECK_EXISTS_WITH_DHCID()

symbol_type isc::dhcp::Dhcp4Parser::make_CHECK_EXISTS_WITH_DHCID | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3691 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CHECK_EXISTS_WITH_DHCID.

Referenced by while().

## ◆ make_CHECK_WITH_DHCID()

symbol_type isc::dhcp::Dhcp4Parser::make_CHECK_WITH_DHCID | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3661 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CHECK_WITH_DHCID.

Referenced by while().

## ◆ make_CIPHER_LIST()

symbol_type isc::dhcp::Dhcp4Parser::make_CIPHER_LIST | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2941 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CIPHER_LIST.

Referenced by while().

## ◆ make_CIRCUIT_ID()

symbol_type isc::dhcp::Dhcp4Parser::make_CIRCUIT_ID | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4096 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CIRCUIT_ID.

Referenced by while().

## ◆ make_CLIENT_CLASS()

symbol_type isc::dhcp::Dhcp4Parser::make_CLIENT_CLASS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4006 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CLIENT_CLASS.

Referenced by while().

## ◆ make_CLIENT_CLASSES()

symbol_type isc::dhcp::Dhcp4Parser::make_CLIENT_CLASSES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3901 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CLIENT_CLASSES.

Referenced by while().

## ◆ make_CLIENT_ID()

symbol_type isc::dhcp::Dhcp4Parser::make_CLIENT_ID | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4111 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CLIENT_ID.

Referenced by while().

## ◆ make_CLIENTS()

symbol_type isc::dhcp::Dhcp4Parser::make_CLIENTS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4606 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CLIENTS.

Referenced by while().

## ◆ make_CODE()

symbol_type isc::dhcp::Dhcp4Parser::make_CODE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3496 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CODE.

Referenced by while().

## ◆ make_COLON()

symbol_type isc::dhcp::Dhcp4Parser::make_COLON | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1966 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_COLON.

Referenced by while().

## ◆ make_COMMA()

symbol_type isc::dhcp::Dhcp4Parser::make_COMMA | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1951 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_COMMA.

Referenced by while().

## ◆ make_COMMENT()

symbol_type isc::dhcp::Dhcp4Parser::make_COMMENT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3781 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_COMMENT.

Referenced by while().

## ◆ make_COMPATIBILITY()

symbol_type isc::dhcp::Dhcp4Parser::make_COMPATIBILITY | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5191 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_COMPATIBILITY.

Referenced by while().

## ◆ make_CONFIG_CONTROL()

symbol_type isc::dhcp::Dhcp4Parser::make_CONFIG_CONTROL | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2071 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CONFIG_CONTROL.

Referenced by while().

## ◆ make_CONFIG_DATABASES()

symbol_type isc::dhcp::Dhcp4Parser::make_CONFIG_DATABASES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2086 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CONFIG_DATABASES.

Referenced by while().

## ◆ make_CONFIG_FETCH_WAIT_TIME()

symbol_type isc::dhcp::Dhcp4Parser::make_CONFIG_FETCH_WAIT_TIME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2101 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CONFIG_FETCH_WAIT_TIME.

Referenced by while().

## ◆ make_CONNECT_TIMEOUT()

symbol_type isc::dhcp::Dhcp4Parser::make_CONNECT_TIMEOUT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2626 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CONNECT_TIMEOUT.

Referenced by while().

## ◆ make_CONTROL_SOCKET()

symbol_type isc::dhcp::Dhcp4Parser::make_CONTROL_SOCKET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4411 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CONTROL_SOCKET.

Referenced by while().

## ◆ make_CONTROL_SOCKETS()

symbol_type isc::dhcp::Dhcp4Parser::make_CONTROL_SOCKETS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4426 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CONTROL_SOCKETS.

Referenced by while().

## ◆ make_CSV_FORMAT()

symbol_type isc::dhcp::Dhcp4Parser::make_CSV_FORMAT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3526 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_CSV_FORMAT.

Referenced by while().

## ◆ make_DATA()

symbol_type isc::dhcp::Dhcp4Parser::make_DATA | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3481 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DATA.

Referenced by while().

## ◆ make_DDNS_CONFLICT_RESOLUTION_MODE()

symbol_type isc::dhcp::Dhcp4Parser::make_DDNS_CONFLICT_RESOLUTION_MODE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3646 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DDNS_CONFLICT_RESOLUTION_MODE.

Referenced by while().

## ◆ make_DDNS_GENERATED_PREFIX()

symbol_type isc::dhcp::Dhcp4Parser::make_DDNS_GENERATED_PREFIX | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3241 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DDNS_GENERATED_PREFIX.

Referenced by while().

## ◆ make_DDNS_OVERRIDE_CLIENT_UPDATE()

symbol_type isc::dhcp::Dhcp4Parser::make_DDNS_OVERRIDE_CLIENT_UPDATE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3211 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DDNS_OVERRIDE_CLIENT_UPDATE.

Referenced by while().

## ◆ make_DDNS_OVERRIDE_NO_UPDATE()

symbol_type isc::dhcp::Dhcp4Parser::make_DDNS_OVERRIDE_NO_UPDATE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3196 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DDNS_OVERRIDE_NO_UPDATE.

Referenced by while().

## ◆ make_DDNS_QUALIFYING_SUFFIX()

symbol_type isc::dhcp::Dhcp4Parser::make_DDNS_QUALIFYING_SUFFIX | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3256 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DDNS_QUALIFYING_SUFFIX.

Referenced by while().

## ◆ make_DDNS_REPLACE_CLIENT_NAME()

symbol_type isc::dhcp::Dhcp4Parser::make_DDNS_REPLACE_CLIENT_NAME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3226 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DDNS_REPLACE_CLIENT_NAME.

Referenced by while().

## ◆ make_DDNS_SEND_UPDATES()

symbol_type isc::dhcp::Dhcp4Parser::make_DDNS_SEND_UPDATES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3181 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DDNS_SEND_UPDATES.

Referenced by while().

## ◆ make_DDNS_TTL()

symbol_type isc::dhcp::Dhcp4Parser::make_DDNS_TTL | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3316 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DDNS_TTL.

Referenced by while().

## ◆ make_DDNS_TTL_MAX()

symbol_type isc::dhcp::Dhcp4Parser::make_DDNS_TTL_MAX | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3346 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DDNS_TTL_MAX.

Referenced by while().

## ◆ make_DDNS_TTL_MIN()

symbol_type isc::dhcp::Dhcp4Parser::make_DDNS_TTL_MIN | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3331 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DDNS_TTL_MIN.

Referenced by while().

## ◆ make_DDNS_TTL_PERCENT()

symbol_type isc::dhcp::Dhcp4Parser::make_DDNS_TTL_PERCENT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3301 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DDNS_TTL_PERCENT.

Referenced by while().

## ◆ make_DDNS_UPDATE_ON_RENEW()

symbol_type isc::dhcp::Dhcp4Parser::make_DDNS_UPDATE_ON_RENEW | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3271 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DDNS_UPDATE_ON_RENEW.

Referenced by while().

## ◆ make_DDNS_USE_CONFLICT_RESOLUTION()

symbol_type isc::dhcp::Dhcp4Parser::make_DDNS_USE_CONFLICT_RESOLUTION | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3286 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DDNS_USE_CONFLICT_RESOLUTION.

Referenced by while().

## ◆ make_DEBUGLEVEL()

symbol_type isc::dhcp::Dhcp4Parser::make_DEBUGLEVEL | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5101 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DEBUGLEVEL.

Referenced by while().

## ◆ make_DECLINE_PROBATION_PERIOD()

symbol_type isc::dhcp::Dhcp4Parser::make_DECLINE_PROBATION_PERIOD | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3121 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DECLINE_PROBATION_PERIOD.

Referenced by while().

## ◆ make_DHCP4()

symbol_type isc::dhcp::Dhcp4Parser::make_DHCP4 | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2056 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DHCP4.

Referenced by while().

## ◆ make_DHCP4O6_PORT()

symbol_type isc::dhcp::Dhcp4Parser::make_DHCP4O6_PORT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4336 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DHCP4O6_PORT.

Referenced by while().

## ◆ make_DHCP_DDNS()

symbol_type isc::dhcp::Dhcp4Parser::make_DHCP_DDNS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4756 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DHCP_DDNS.

Referenced by while().

## ◆ make_DHCP_MULTI_THREADING()

symbol_type isc::dhcp::Dhcp4Parser::make_DHCP_MULTI_THREADING | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4351 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DHCP_MULTI_THREADING.

Referenced by while().

## ◆ make_DHCP_QUEUE_CONTROL()

symbol_type isc::dhcp::Dhcp4Parser::make_DHCP_QUEUE_CONTROL | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4696 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DHCP_QUEUE_CONTROL.

Referenced by while().

## ◆ make_DHCP_SOCKET_TYPE()

symbol_type isc::dhcp::Dhcp4Parser::make_DHCP_SOCKET_TYPE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2146 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DHCP_SOCKET_TYPE.

Referenced by while().

## ◆ make_DIRECTORY()

symbol_type isc::dhcp::Dhcp4Parser::make_DIRECTORY | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4591 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DIRECTORY.

Referenced by while().

## ◆ make_DISABLE()

symbol_type isc::dhcp::Dhcp4Parser::make_DISABLE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2866 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DISABLE.

Referenced by while().

## ◆ make_DUID()

symbol_type isc::dhcp::Dhcp4Parser::make_DUID | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4066 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_DUID.

Referenced by while().

## ◆ make_EARLY_GLOBAL_RESERVATIONS_LOOKUP()

symbol_type isc::dhcp::Dhcp4Parser::make_EARLY_GLOBAL_RESERVATIONS_LOOKUP | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5011 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_EARLY_GLOBAL_RESERVATIONS_LOOKUP.

Referenced by while().

## ◆ make_ECHO_CLIENT_ID()

symbol_type isc::dhcp::Dhcp4Parser::make_ECHO_CLIENT_ID | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2341 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ECHO_CLIENT_ID.

Referenced by while().

## ◆ make_ENABLE_MULTI_THREADING()

symbol_type isc::dhcp::Dhcp4Parser::make_ENABLE_MULTI_THREADING | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4366 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ENABLE_MULTI_THREADING.

Referenced by while().

## ◆ make_ENABLE_QUEUE()

symbol_type isc::dhcp::Dhcp4Parser::make_ENABLE_QUEUE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4711 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ENABLE_QUEUE.

Referenced by while().

## ◆ make_ENABLE_UPDATES()

symbol_type isc::dhcp::Dhcp4Parser::make_ENABLE_UPDATES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4771 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ENABLE_UPDATES.

Referenced by while().

## ◆ make_ENCAPSULATE()

symbol_type isc::dhcp::Dhcp4Parser::make_ENCAPSULATE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3586 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ENCAPSULATE.

Referenced by while().

## ◆ make_END()

symbol_type isc::dhcp::Dhcp4Parser::make_END | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1906 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_END.

Referenced by while().

## ◆ make_EVALUATE_ADDITIONAL_CLASSES()

symbol_type isc::dhcp::Dhcp4Parser::make_EVALUATE_ADDITIONAL_CLASSES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3931 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_EVALUATE_ADDITIONAL_CLASSES.

Referenced by while().

## ◆ make_EXCLUDE_FIRST_LAST_24()

symbol_type isc::dhcp::Dhcp4Parser::make_EXCLUDE_FIRST_LAST_24 | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5251 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_EXCLUDE_FIRST_LAST_24.

Referenced by while().

## ◆ make_EXPIRED_LEASES_PROCESSING()

symbol_type isc::dhcp::Dhcp4Parser::make_EXPIRED_LEASES_PROCESSING | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4231 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_EXPIRED_LEASES_PROCESSING.

Referenced by while().

## ◆ make_EXTENDED_INFO_CHECKS()

symbol_type isc::dhcp::Dhcp4Parser::make_EXTENDED_INFO_CHECKS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2326 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_EXTENDED_INFO_CHECKS.

Referenced by while().

## ◆ make_FLEX_ID()

symbol_type isc::dhcp::Dhcp4Parser::make_FLEX_ID | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4141 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_FLEX_ID.

Referenced by while().

## ◆ make_FLOAT()

symbol_type isc::dhcp::Dhcp4Parser::make_FLOAT | ( | const double & | v,
|  | const location_type & | l )
| inlinestatic

Definition at line 5491 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_FLOAT.

Referenced by while().

## ◆ make_FLUSH()

symbol_type isc::dhcp::Dhcp4Parser::make_FLUSH | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5131 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_FLUSH.

Referenced by while().

## ◆ make_FLUSH_RECLAIMED_TIMER_WAIT_TIME()

symbol_type isc::dhcp::Dhcp4Parser::make_FLUSH_RECLAIMED_TIMER_WAIT_TIME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4261 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_FLUSH_RECLAIMED_TIMER_WAIT_TIME.

Referenced by while().

## ◆ make_HOLD_RECLAIMED_TIME()

symbol_type isc::dhcp::Dhcp4Parser::make_HOLD_RECLAIMED_TIME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4276 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOLD_RECLAIMED_TIME.

Referenced by while().

## ◆ make_HOOKS_LIBRARIES()

symbol_type isc::dhcp::Dhcp4Parser::make_HOOKS_LIBRARIES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4186 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOOKS_LIBRARIES.

Referenced by while().

## ◆ make_HOST()

symbol_type isc::dhcp::Dhcp4Parser::make_HOST | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2551 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOST.

Referenced by while().

## ◆ make_HOST_RESERVATION_IDENTIFIERS()

symbol_type isc::dhcp::Dhcp4Parser::make_HOST_RESERVATION_IDENTIFIERS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3886 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOST_RESERVATION_IDENTIFIERS.

Referenced by while().

## ◆ make_HOSTNAME()

symbol_type isc::dhcp::Dhcp4Parser::make_HOSTNAME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4126 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOSTNAME.

Referenced by while().

## ◆ make_HOSTNAME_CHAR_REPLACEMENT()

symbol_type isc::dhcp::Dhcp4Parser::make_HOSTNAME_CHAR_REPLACEMENT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4996 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOSTNAME_CHAR_REPLACEMENT.

Referenced by while().

## ◆ make_HOSTNAME_CHAR_SET()

symbol_type isc::dhcp::Dhcp4Parser::make_HOSTNAME_CHAR_SET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4981 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOSTNAME_CHAR_SET.

Referenced by while().

## ◆ make_HOSTS_DATABASE()

symbol_type isc::dhcp::Dhcp4Parser::make_HOSTS_DATABASE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2476 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOSTS_DATABASE.

Referenced by while().

## ◆ make_HOSTS_DATABASES()

symbol_type isc::dhcp::Dhcp4Parser::make_HOSTS_DATABASES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2491 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HOSTS_DATABASES.

Referenced by while().

## ◆ make_HTTP()

symbol_type isc::dhcp::Dhcp4Parser::make_HTTP | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4471 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HTTP.

Referenced by while().

## ◆ make_HTTP_HEADERS()

symbol_type isc::dhcp::Dhcp4Parser::make_HTTP_HEADERS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4666 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HTTP_HEADERS.

Referenced by while().

## ◆ make_HTTPS()

symbol_type isc::dhcp::Dhcp4Parser::make_HTTPS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4486 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HTTPS.

Referenced by while().

## ◆ make_HW_ADDRESS()

symbol_type isc::dhcp::Dhcp4Parser::make_HW_ADDRESS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4081 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_HW_ADDRESS.

Referenced by while().

## ◆ make_ID()

symbol_type isc::dhcp::Dhcp4Parser::make_ID | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3826 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ID.

Referenced by while().

## ◆ make_IGNORE_DHCP_SERVER_ID()

symbol_type isc::dhcp::Dhcp4Parser::make_IGNORE_DHCP_SERVER_ID | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5221 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_IGNORE_DHCP_SERVER_ID.

Referenced by while().

## ◆ make_IGNORE_RAI_LINK_SEL()

symbol_type isc::dhcp::Dhcp4Parser::make_IGNORE_RAI_LINK_SEL | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5236 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_IGNORE_RAI_LINK_SEL.

Referenced by while().

## ◆ make_INTEGER()

symbol_type isc::dhcp::Dhcp4Parser::make_INTEGER | ( | const int64_t & | v,
|  | const location_type & | l )
| inlinestatic

Definition at line 5476 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_INTEGER.

Referenced by while().

## ◆ make_INTERFACE()

symbol_type isc::dhcp::Dhcp4Parser::make_INTERFACE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3811 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_INTERFACE.

Referenced by while().

## ◆ make_INTERFACES()

symbol_type isc::dhcp::Dhcp4Parser::make_INTERFACES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2131 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_INTERFACES.

Referenced by while().

## ◆ make_INTERFACES_CONFIG()

symbol_type isc::dhcp::Dhcp4Parser::make_INTERFACES_CONFIG | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2116 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_INTERFACES_CONFIG.

Referenced by while().

## ◆ make_IP_ADDRESS()

symbol_type isc::dhcp::Dhcp4Parser::make_IP_ADDRESS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4051 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_IP_ADDRESS.

Referenced by while().

## ◆ make_IP_ADDRESSES()

symbol_type isc::dhcp::Dhcp4Parser::make_IP_ADDRESSES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4171 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_IP_ADDRESSES.

Referenced by while().

## ◆ make_IP_RESERVATIONS_UNIQUE()

symbol_type isc::dhcp::Dhcp4Parser::make_IP_RESERVATIONS_UNIQUE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5026 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_IP_RESERVATIONS_UNIQUE.

Referenced by while().

## ◆ make_JSON()

symbol_type isc::dhcp::Dhcp4Parser::make_JSON | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4906 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_JSON.

Referenced by while().

## ◆ make_KEY_FILE()

symbol_type isc::dhcp::Dhcp4Parser::make_KEY_FILE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2836 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_KEY_FILE.

Referenced by while().

## ◆ make_LCURLY_BRACKET()

symbol_type isc::dhcp::Dhcp4Parser::make_LCURLY_BRACKET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2011 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_LCURLY_BRACKET.

Referenced by while().

## ◆ make_LEASE_CHECKS()

symbol_type isc::dhcp::Dhcp4Parser::make_LEASE_CHECKS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2311 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_LEASE_CHECKS.

Referenced by while().

## ◆ make_LEASE_DATABASE()

symbol_type isc::dhcp::Dhcp4Parser::make_LEASE_DATABASE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2461 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_LEASE_DATABASE.

Referenced by while().

## ◆ make_LENIENT_OPTION_PARSING()

symbol_type isc::dhcp::Dhcp4Parser::make_LENIENT_OPTION_PARSING | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5206 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_LENIENT_OPTION_PARSING.

Referenced by while().

## ◆ make_LFC_INTERVAL()

symbol_type isc::dhcp::Dhcp4Parser::make_LFC_INTERVAL | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2596 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_LFC_INTERVAL.

Referenced by while().

## ◆ make_LIBRARY()

symbol_type isc::dhcp::Dhcp4Parser::make_LIBRARY | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4201 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_LIBRARY.

Referenced by while().

## ◆ make_LOGGERS()

symbol_type isc::dhcp::Dhcp4Parser::make_LOGGERS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5056 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_LOGGERS.

Referenced by while().

## ◆ make_LSQUARE_BRACKET()

symbol_type isc::dhcp::Dhcp4Parser::make_LSQUARE_BRACKET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1981 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_LSQUARE_BRACKET.

Referenced by while().

## ◆ make_MATCH_CLIENT_ID()

symbol_type isc::dhcp::Dhcp4Parser::make_MATCH_CLIENT_ID | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2356 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MATCH_CLIENT_ID.

Referenced by while().

## ◆ make_MAX_QUEUE_SIZE()

symbol_type isc::dhcp::Dhcp4Parser::make_MAX_QUEUE_SIZE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4846 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MAX_QUEUE_SIZE.

Referenced by while().

## ◆ make_MAX_RECLAIM_LEASES()

symbol_type isc::dhcp::Dhcp4Parser::make_MAX_RECLAIM_LEASES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4291 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MAX_RECLAIM_LEASES.

Referenced by while().

## ◆ make_MAX_RECLAIM_TIME()

symbol_type isc::dhcp::Dhcp4Parser::make_MAX_RECLAIM_TIME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4306 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MAX_RECLAIM_TIME.

Referenced by while().

## ◆ make_MAX_RECONNECT_TRIES()

symbol_type isc::dhcp::Dhcp4Parser::make_MAX_RECONNECT_TRIES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2686 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MAX_RECONNECT_TRIES.

Referenced by while().

## ◆ make_MAX_ROW_ERRORS()

symbol_type isc::dhcp::Dhcp4Parser::make_MAX_ROW_ERRORS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2791 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MAX_ROW_ERRORS.

Referenced by while().

## ◆ make_MAX_VALID_LIFETIME()

symbol_type isc::dhcp::Dhcp4Parser::make_MAX_VALID_LIFETIME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2986 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MAX_VALID_LIFETIME.

Referenced by while().

## ◆ make_MAXSIZE()

symbol_type isc::dhcp::Dhcp4Parser::make_MAXSIZE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5146 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MAXSIZE.

Referenced by while().

## ◆ make_MAXVER()

symbol_type isc::dhcp::Dhcp4Parser::make_MAXVER | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5161 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MAXVER.

Referenced by while().

## ◆ make_MIN_VALID_LIFETIME()

symbol_type isc::dhcp::Dhcp4Parser::make_MIN_VALID_LIFETIME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2971 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_MIN_VALID_LIFETIME.

Referenced by while().

## ◆ make_NAME()

symbol_type isc::dhcp::Dhcp4Parser::make_NAME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3466 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_NAME.

Referenced by while().

## ◆ make_NCR_FORMAT()

symbol_type isc::dhcp::Dhcp4Parser::make_NCR_FORMAT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4876 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_NCR_FORMAT.

Referenced by while().

## ◆ make_NCR_PROTOCOL()

symbol_type isc::dhcp::Dhcp4Parser::make_NCR_PROTOCOL | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4861 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_NCR_PROTOCOL.

Referenced by while().

## ◆ make_NEVER()

symbol_type isc::dhcp::Dhcp4Parser::make_NEVER | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4936 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_NEVER.

Referenced by while().

## ◆ make_NEVER_SEND()

symbol_type isc::dhcp::Dhcp4Parser::make_NEVER_SEND | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3556 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_NEVER_SEND.

Referenced by while().

## ◆ make_NEXT_SERVER()

symbol_type isc::dhcp::Dhcp4Parser::make_NEXT_SERVER | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2386 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_NEXT_SERVER.

Referenced by while().

## ◆ make_NO_CHECK_WITH_DHCID()

symbol_type isc::dhcp::Dhcp4Parser::make_NO_CHECK_WITH_DHCID | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3676 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_NO_CHECK_WITH_DHCID.

Referenced by while().

## ◆ make_NO_CHECK_WITHOUT_DHCID()

symbol_type isc::dhcp::Dhcp4Parser::make_NO_CHECK_WITHOUT_DHCID | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3706 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_NO_CHECK_WITHOUT_DHCID.

Referenced by while().

## ◆ make_NULL_TYPE()

symbol_type isc::dhcp::Dhcp4Parser::make_NULL_TYPE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2041 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_NULL_TYPE.

Referenced by while().

## ◆ make_OFFER_LFT()

symbol_type isc::dhcp::Dhcp4Parser::make_OFFER_LFT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2431 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_OFFER_LFT.

Referenced by while().

## ◆ make_ON_FAIL()

symbol_type isc::dhcp::Dhcp4Parser::make_ON_FAIL | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2716 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ON_FAIL.

Referenced by while().

## ◆ make_ONLY_IF_REQUIRED()

symbol_type isc::dhcp::Dhcp4Parser::make_ONLY_IF_REQUIRED | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3976 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ONLY_IF_REQUIRED.

Referenced by while().

## ◆ make_ONLY_IN_ADDITIONAL_LIST()

symbol_type isc::dhcp::Dhcp4Parser::make_ONLY_IN_ADDITIONAL_LIST | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3991 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_ONLY_IN_ADDITIONAL_LIST.

Referenced by while().

## ◆ make_OPTION_DATA()

symbol_type isc::dhcp::Dhcp4Parser::make_OPTION_DATA | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3451 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_OPTION_DATA.

Referenced by while().

## ◆ make_OPTION_DEF()

symbol_type isc::dhcp::Dhcp4Parser::make_OPTION_DEF | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3436 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_OPTION_DEF.

Referenced by while().

## ◆ make_OUTBOUND_INTERFACE()

symbol_type isc::dhcp::Dhcp4Parser::make_OUTBOUND_INTERFACE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2191 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_OUTBOUND_INTERFACE.

Referenced by while().

## ◆ make_OUTPUT()

symbol_type isc::dhcp::Dhcp4Parser::make_OUTPUT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5086 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_OUTPUT.

Referenced by while().

## ◆ make_OUTPUT_OPTIONS()

symbol_type isc::dhcp::Dhcp4Parser::make_OUTPUT_OPTIONS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5071 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_OUTPUT_OPTIONS.

Referenced by while().

## ◆ make_PACKET_QUEUE_SIZE()

symbol_type isc::dhcp::Dhcp4Parser::make_PACKET_QUEUE_SIZE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4396 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_PACKET_QUEUE_SIZE.

Referenced by while().

## ◆ make_PARAMETERS()

symbol_type isc::dhcp::Dhcp4Parser::make_PARAMETERS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4216 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_PARAMETERS.

Referenced by while().

## ◆ make_PARKED_PACKET_LIMIT()

symbol_type isc::dhcp::Dhcp4Parser::make_PARKED_PACKET_LIMIT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3616 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_PARKED_PACKET_LIMIT.

Referenced by while().

## ◆ make_PARSER4_error()

symbol_type isc::dhcp::Dhcp4Parser::make_PARSER4_error | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1921 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_PARSER4_error.

## ◆ make_PARSER4_UNDEF()

symbol_type isc::dhcp::Dhcp4Parser::make_PARSER4_UNDEF | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1936 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_PARSER4_UNDEF.

## ◆ make_PASSWORD()

symbol_type isc::dhcp::Dhcp4Parser::make_PASSWORD | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2536 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_PASSWORD.

Referenced by while().

## ◆ make_PASSWORD_FILE()

symbol_type isc::dhcp::Dhcp4Parser::make_PASSWORD_FILE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4636 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_PASSWORD_FILE.

Referenced by while().

## ◆ make_PATTERN()

symbol_type isc::dhcp::Dhcp4Parser::make_PATTERN | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5176 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_PATTERN.

Referenced by while().

## ◆ make_PERSIST()

symbol_type isc::dhcp::Dhcp4Parser::make_PERSIST | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2581 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_PERSIST.

Referenced by while().

## ◆ make_POOL()

symbol_type isc::dhcp::Dhcp4Parser::make_POOL | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3751 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_POOL.

Referenced by while().

## ◆ make_POOL_ID()

symbol_type isc::dhcp::Dhcp4Parser::make_POOL_ID | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4021 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_POOL_ID.

Referenced by while().

## ◆ make_POOLS()

symbol_type isc::dhcp::Dhcp4Parser::make_POOLS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3736 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_POOLS.

Referenced by while().

## ◆ make_PORT()

symbol_type isc::dhcp::Dhcp4Parser::make_PORT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2566 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_PORT.

Referenced by while().

## ◆ make_PREFER()

symbol_type isc::dhcp::Dhcp4Parser::make_PREFER | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2881 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_PREFER.

Referenced by while().

## ◆ make_QUEUE_TYPE()

symbol_type isc::dhcp::Dhcp4Parser::make_QUEUE_TYPE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4726 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_QUEUE_TYPE.

Referenced by while().

## ◆ make_RAW()

symbol_type isc::dhcp::Dhcp4Parser::make_RAW | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2161 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RAW.

Referenced by while().

## ◆ make_RCURLY_BRACKET()

symbol_type isc::dhcp::Dhcp4Parser::make_RCURLY_BRACKET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2026 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RCURLY_BRACKET.

Referenced by while().

## ◆ make_RE_DETECT()

symbol_type isc::dhcp::Dhcp4Parser::make_RE_DETECT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2236 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RE_DETECT.

Referenced by while().

## ◆ make_READ_TIMEOUT()

symbol_type isc::dhcp::Dhcp4Parser::make_READ_TIMEOUT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2641 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_READ_TIMEOUT.

Referenced by while().

## ◆ make_READONLY()

symbol_type isc::dhcp::Dhcp4Parser::make_READONLY | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2611 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_READONLY.

Referenced by while().

## ◆ make_REALM()

symbol_type isc::dhcp::Dhcp4Parser::make_REALM | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4576 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_REALM.

Referenced by while().

## ◆ make_REBIND_TIMER()

symbol_type isc::dhcp::Dhcp4Parser::make_REBIND_TIMER | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3016 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_REBIND_TIMER.

Referenced by while().

## ◆ make_RECLAIM_TIMER_WAIT_TIME()

symbol_type isc::dhcp::Dhcp4Parser::make_RECLAIM_TIMER_WAIT_TIME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4246 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RECLAIM_TIMER_WAIT_TIME.

Referenced by while().

## ◆ make_RECONNECT_WAIT_TIME()

symbol_type isc::dhcp::Dhcp4Parser::make_RECONNECT_WAIT_TIME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2701 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RECONNECT_WAIT_TIME.

Referenced by while().

## ◆ make_RECORD_TYPES()

symbol_type isc::dhcp::Dhcp4Parser::make_RECORD_TYPES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3571 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RECORD_TYPES.

Referenced by while().

## ◆ make_RELAY()

symbol_type isc::dhcp::Dhcp4Parser::make_RELAY | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4156 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RELAY.

Referenced by while().

## ◆ make_RENEW_TIMER()

symbol_type isc::dhcp::Dhcp4Parser::make_RENEW_TIMER | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3001 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RENEW_TIMER.

Referenced by while().

## ◆ make_REQUIRE()

symbol_type isc::dhcp::Dhcp4Parser::make_REQUIRE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2896 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_REQUIRE.

Referenced by while().

## ◆ make_REQUIRE_CLIENT_CLASSES()

symbol_type isc::dhcp::Dhcp4Parser::make_REQUIRE_CLIENT_CLASSES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3916 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_REQUIRE_CLIENT_CLASSES.

Referenced by while().

## ◆ make_RESERVATIONS()

symbol_type isc::dhcp::Dhcp4Parser::make_RESERVATIONS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4036 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RESERVATIONS.

Referenced by while().

## ◆ make_RESERVATIONS_GLOBAL()

symbol_type isc::dhcp::Dhcp4Parser::make_RESERVATIONS_GLOBAL | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3841 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RESERVATIONS_GLOBAL.

Referenced by while().

## ◆ make_RESERVATIONS_IN_SUBNET()

symbol_type isc::dhcp::Dhcp4Parser::make_RESERVATIONS_IN_SUBNET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3856 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RESERVATIONS_IN_SUBNET.

Referenced by while().

## ◆ make_RESERVATIONS_LOOKUP_FIRST()

symbol_type isc::dhcp::Dhcp4Parser::make_RESERVATIONS_LOOKUP_FIRST | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5041 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RESERVATIONS_LOOKUP_FIRST.

Referenced by while().

## ◆ make_RESERVATIONS_OUT_OF_POOL()

symbol_type isc::dhcp::Dhcp4Parser::make_RESERVATIONS_OUT_OF_POOL | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3871 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RESERVATIONS_OUT_OF_POOL.

Referenced by while().

## ◆ make_RETRY_ON_STARTUP()

symbol_type isc::dhcp::Dhcp4Parser::make_RETRY_ON_STARTUP | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2776 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RETRY_ON_STARTUP.

Referenced by while().

## ◆ make_RSQUARE_BRACKET()

symbol_type isc::dhcp::Dhcp4Parser::make_RSQUARE_BRACKET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 1996 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_RSQUARE_BRACKET.

Referenced by while().

## ◆ make_SAME_AS_INBOUND()

symbol_type isc::dhcp::Dhcp4Parser::make_SAME_AS_INBOUND | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2206 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SAME_AS_INBOUND.

Referenced by while().

## ◆ make_SANITY_CHECKS()

symbol_type isc::dhcp::Dhcp4Parser::make_SANITY_CHECKS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2296 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SANITY_CHECKS.

Referenced by while().

## ◆ make_SENDER_IP()

symbol_type isc::dhcp::Dhcp4Parser::make_SENDER_IP | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4816 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SENDER_IP.

Referenced by while().

## ◆ make_SENDER_PORT()

symbol_type isc::dhcp::Dhcp4Parser::make_SENDER_PORT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4831 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SENDER_PORT.

Referenced by while().

## ◆ make_SERVE_RETRY_CONTINUE()

symbol_type isc::dhcp::Dhcp4Parser::make_SERVE_RETRY_CONTINUE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2761 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SERVE_RETRY_CONTINUE.

Referenced by while().

## ◆ make_SERVE_RETRY_EXIT()

symbol_type isc::dhcp::Dhcp4Parser::make_SERVE_RETRY_EXIT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2746 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SERVE_RETRY_EXIT.

Referenced by while().

## ◆ make_SERVER_HOSTNAME()

symbol_type isc::dhcp::Dhcp4Parser::make_SERVER_HOSTNAME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2401 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SERVER_HOSTNAME.

Referenced by while().

## ◆ make_SERVER_IP()

symbol_type isc::dhcp::Dhcp4Parser::make_SERVER_IP | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4786 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SERVER_IP.

Referenced by while().

## ◆ make_SERVER_PORT()

symbol_type isc::dhcp::Dhcp4Parser::make_SERVER_PORT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4801 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SERVER_PORT.

Referenced by while().

## ◆ make_SERVER_TAG()

symbol_type isc::dhcp::Dhcp4Parser::make_SERVER_TAG | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3136 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SERVER_TAG.

Referenced by while().

## ◆ make_SERVICE_SOCKETS_MAX_RETRIES()

symbol_type isc::dhcp::Dhcp4Parser::make_SERVICE_SOCKETS_MAX_RETRIES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2281 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SERVICE_SOCKETS_MAX_RETRIES.

Referenced by while().

## ◆ make_SERVICE_SOCKETS_REQUIRE_ALL()

symbol_type isc::dhcp::Dhcp4Parser::make_SERVICE_SOCKETS_REQUIRE_ALL | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2251 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SERVICE_SOCKETS_REQUIRE_ALL.

Referenced by while().

## ◆ make_SERVICE_SOCKETS_RETRY_WAIT_TIME()

symbol_type isc::dhcp::Dhcp4Parser::make_SERVICE_SOCKETS_RETRY_WAIT_TIME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2266 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SERVICE_SOCKETS_RETRY_WAIT_TIME.

Referenced by while().

## ◆ make_SEVERITY()

symbol_type isc::dhcp::Dhcp4Parser::make_SEVERITY | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5116 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SEVERITY.

Referenced by while().

## ◆ make_SHARED_NETWORKS()

symbol_type isc::dhcp::Dhcp4Parser::make_SHARED_NETWORKS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3721 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SHARED_NETWORKS.

Referenced by while().

## ◆ make_SOCKET_ADDRESS()

symbol_type isc::dhcp::Dhcp4Parser::make_SOCKET_ADDRESS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4516 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SOCKET_ADDRESS.

Referenced by while().

## ◆ make_SOCKET_NAME()

symbol_type isc::dhcp::Dhcp4Parser::make_SOCKET_NAME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4501 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SOCKET_NAME.

Referenced by while().

## ◆ make_SOCKET_PORT()

symbol_type isc::dhcp::Dhcp4Parser::make_SOCKET_PORT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4531 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SOCKET_PORT.

Referenced by while().

## ◆ make_SOCKET_TYPE()

symbol_type isc::dhcp::Dhcp4Parser::make_SOCKET_TYPE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4441 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SOCKET_TYPE.

Referenced by while().

## ◆ make_SPACE()

symbol_type isc::dhcp::Dhcp4Parser::make_SPACE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3511 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SPACE.

Referenced by while().

## ◆ make_SSL_MODE()

symbol_type isc::dhcp::Dhcp4Parser::make_SSL_MODE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2851 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SSL_MODE.

Referenced by while().

## ◆ make_STASH_AGENT_OPTIONS()

symbol_type isc::dhcp::Dhcp4Parser::make_STASH_AGENT_OPTIONS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2446 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_STASH_AGENT_OPTIONS.

Referenced by while().

## ◆ make_STATISTIC_DEFAULT_SAMPLE_AGE()

symbol_type isc::dhcp::Dhcp4Parser::make_STATISTIC_DEFAULT_SAMPLE_AGE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3166 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_STATISTIC_DEFAULT_SAMPLE_AGE.

Referenced by while().

## ◆ make_STATISTIC_DEFAULT_SAMPLE_COUNT()

symbol_type isc::dhcp::Dhcp4Parser::make_STATISTIC_DEFAULT_SAMPLE_COUNT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3151 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_STATISTIC_DEFAULT_SAMPLE_COUNT.

Referenced by while().

## ◆ make_STOP_RETRY_EXIT()

symbol_type isc::dhcp::Dhcp4Parser::make_STOP_RETRY_EXIT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2731 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_STOP_RETRY_EXIT.

Referenced by while().

## ◆ make_STORE_EXTENDED_INFO()

symbol_type isc::dhcp::Dhcp4Parser::make_STORE_EXTENDED_INFO | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3361 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_STORE_EXTENDED_INFO.

Referenced by while().

## ◆ make_STRING()

symbol_type isc::dhcp::Dhcp4Parser::make_STRING | ( | const std::string & | v,
|  | const location_type & | l )
| inlinestatic

Definition at line 5461 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_STRING.

Referenced by while().

## ◆ make_SUB_CONFIG_CONTROL()

symbol_type isc::dhcp::Dhcp4Parser::make_SUB_CONFIG_CONTROL | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5446 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_CONFIG_CONTROL.

Referenced by if().

## ◆ make_SUB_DHCP4()

symbol_type isc::dhcp::Dhcp4Parser::make_SUB_DHCP4 | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5296 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_DHCP4.

Referenced by if().

## ◆ make_SUB_DHCP_DDNS()

symbol_type isc::dhcp::Dhcp4Parser::make_SUB_DHCP_DDNS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5431 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_DHCP_DDNS.

Referenced by if().

## ◆ make_SUB_HOOKS_LIBRARY()

symbol_type isc::dhcp::Dhcp4Parser::make_SUB_HOOKS_LIBRARY | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5416 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_HOOKS_LIBRARY.

Referenced by if().

## ◆ make_SUB_INTERFACES4()

symbol_type isc::dhcp::Dhcp4Parser::make_SUB_INTERFACES4 | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5311 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_INTERFACES4.

Referenced by if().

## ◆ make_SUB_OPTION_DATA()

symbol_type isc::dhcp::Dhcp4Parser::make_SUB_OPTION_DATA | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5401 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_OPTION_DATA.

Referenced by if().

## ◆ make_SUB_OPTION_DEF()

symbol_type isc::dhcp::Dhcp4Parser::make_SUB_OPTION_DEF | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5386 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_OPTION_DEF.

Referenced by if().

## ◆ make_SUB_OPTION_DEFS()

symbol_type isc::dhcp::Dhcp4Parser::make_SUB_OPTION_DEFS | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5371 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_OPTION_DEFS.

Referenced by if().

## ◆ make_SUB_POOL4()

symbol_type isc::dhcp::Dhcp4Parser::make_SUB_POOL4 | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5341 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_POOL4.

Referenced by if().

## ◆ make_SUB_RESERVATION()

symbol_type isc::dhcp::Dhcp4Parser::make_SUB_RESERVATION | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5356 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_RESERVATION.

Referenced by if().

## ◆ make_SUB_SUBNET4()

symbol_type isc::dhcp::Dhcp4Parser::make_SUB_SUBNET4 | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5326 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUB_SUBNET4.

Referenced by if().

## ◆ make_SUBNET()

symbol_type isc::dhcp::Dhcp4Parser::make_SUBNET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3796 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUBNET.

Referenced by while().

## ◆ make_SUBNET4()

symbol_type isc::dhcp::Dhcp4Parser::make_SUBNET4 | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3376 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUBNET4.

Referenced by while().

## ◆ make_SUBNET_4O6_INTERFACE()

symbol_type isc::dhcp::Dhcp4Parser::make_SUBNET_4O6_INTERFACE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3391 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUBNET_4O6_INTERFACE.

Referenced by while().

## ◆ make_SUBNET_4O6_INTERFACE_ID()

symbol_type isc::dhcp::Dhcp4Parser::make_SUBNET_4O6_INTERFACE_ID | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3406 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUBNET_4O6_INTERFACE_ID.

Referenced by while().

## ◆ make_SUBNET_4O6_SUBNET()

symbol_type isc::dhcp::Dhcp4Parser::make_SUBNET_4O6_SUBNET | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3421 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_SUBNET_4O6_SUBNET.

Referenced by while().

## ◆ make_T1_PERCENT()

symbol_type isc::dhcp::Dhcp4Parser::make_T1_PERCENT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3046 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_T1_PERCENT.

Referenced by while().

## ◆ make_T2_PERCENT()

symbol_type isc::dhcp::Dhcp4Parser::make_T2_PERCENT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3061 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_T2_PERCENT.

Referenced by while().

## ◆ make_TCP()

symbol_type isc::dhcp::Dhcp4Parser::make_TCP | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4891 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_TCP.

Referenced by while().

## ◆ make_TCP_USER_TIMEOUT()

symbol_type isc::dhcp::Dhcp4Parser::make_TCP_USER_TIMEOUT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2671 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_TCP_USER_TIMEOUT.

Referenced by while().

## ◆ make_TEMPLATE_TEST()

symbol_type isc::dhcp::Dhcp4Parser::make_TEMPLATE_TEST | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3961 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_TEMPLATE_TEST.

Referenced by while().

## ◆ make_TEST()

symbol_type isc::dhcp::Dhcp4Parser::make_TEST | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3946 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_TEST.

Referenced by while().

## ◆ make_THREAD_POOL_SIZE()

symbol_type isc::dhcp::Dhcp4Parser::make_THREAD_POOL_SIZE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4381 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_THREAD_POOL_SIZE.

Referenced by while().

## ◆ make_TOPLEVEL_DHCP4()

symbol_type isc::dhcp::Dhcp4Parser::make_TOPLEVEL_DHCP4 | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5281 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_TOPLEVEL_DHCP4.

Referenced by if().

## ◆ make_TOPLEVEL_JSON()

symbol_type isc::dhcp::Dhcp4Parser::make_TOPLEVEL_JSON | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 5266 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_TOPLEVEL_JSON.

Referenced by if().

## ◆ make_TRUST_ANCHOR()

symbol_type isc::dhcp::Dhcp4Parser::make_TRUST_ANCHOR | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2806 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_TRUST_ANCHOR.

Referenced by while().

## ◆ make_TYPE()

symbol_type isc::dhcp::Dhcp4Parser::make_TYPE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2506 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_TYPE.

Referenced by while().

## ◆ make_UDP()

symbol_type isc::dhcp::Dhcp4Parser::make_UDP | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2176 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_UDP.

Referenced by while().

## ◆ make_UNIX()

symbol_type isc::dhcp::Dhcp4Parser::make_UNIX | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4456 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_UNIX.

Referenced by while().

## ◆ make_UNWARNED_RECLAIM_CYCLES()

symbol_type isc::dhcp::Dhcp4Parser::make_UNWARNED_RECLAIM_CYCLES | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4321 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_UNWARNED_RECLAIM_CYCLES.

Referenced by while().

## ◆ make_USE_ROUTING()

symbol_type isc::dhcp::Dhcp4Parser::make_USE_ROUTING | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2221 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_USE_ROUTING.

Referenced by while().

## ◆ make_USER()

symbol_type isc::dhcp::Dhcp4Parser::make_USER | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2521 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_USER.

Referenced by while().

## ◆ make_USER_CONTEXT()

symbol_type isc::dhcp::Dhcp4Parser::make_USER_CONTEXT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 3766 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_USER_CONTEXT.

Referenced by while().

## ◆ make_USER_FILE()

symbol_type isc::dhcp::Dhcp4Parser::make_USER_FILE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4621 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_USER_FILE.

Referenced by while().

## ◆ make_VALID_LIFETIME()

symbol_type isc::dhcp::Dhcp4Parser::make_VALID_LIFETIME | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2956 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_VALID_LIFETIME.

Referenced by while().

## ◆ make_VALUE()

symbol_type isc::dhcp::Dhcp4Parser::make_VALUE | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4681 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_VALUE.

Referenced by while().

## ◆ make_VERIFY_CA()

symbol_type isc::dhcp::Dhcp4Parser::make_VERIFY_CA | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2911 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_VERIFY_CA.

Referenced by while().

## ◆ make_VERIFY_FULL()

symbol_type isc::dhcp::Dhcp4Parser::make_VERIFY_FULL | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2926 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_VERIFY_FULL.

Referenced by while().

## ◆ make_WHEN_NOT_PRESENT()

symbol_type isc::dhcp::Dhcp4Parser::make_WHEN_NOT_PRESENT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4966 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_WHEN_NOT_PRESENT.

Referenced by while().

## ◆ make_WHEN_PRESENT()

symbol_type isc::dhcp::Dhcp4Parser::make_WHEN_PRESENT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 4921 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_WHEN_PRESENT.

Referenced by while().

## ◆ make_WRITE_TIMEOUT()

symbol_type isc::dhcp::Dhcp4Parser::make_WRITE_TIMEOUT | ( | const location_type & | l | ) |
| inlinestatic

Definition at line 2656 of file dhcp4_parser.h.

References isc::dhcp::Dhcp4Parser::token::TOKEN_WRITE_TIMEOUT.

Referenced by while().

## ◆ operator()()

int isc::dhcp::Dhcp4Parser::operator() | ( |  | ) |

Parse.

An alias for parse ().

Returns
  0 iff parsing succeeded.

Definition at line 590 of file dhcp4_parser.cc.

References parse().

Here is the call graph for this function:

## ◆ parse()

int isc::dhcp::Dhcp4Parser::parse | ( |  | ) |
| virtual

Parse.

Returns
  0 iff parsing succeeded.

Length of the RHS of the rule being reduced.

The lookahead symbol.

The locations where the error started and ended.

The return value of parse ().

Todo
  : the code or name parameters are required.

Todo
  : the code or name parameters are required.

Todo
  : an identifier parameter is required.

Todo
  : an identifier parameter is required.

Definition at line 596 of file dhcp4_parser.cc.

References isc::dhcp::Dhcp4Parser::value_type::as(), isc::dhcp::Dhcp4Parser::basic_symbol< Base >::clear(), isc::dhcp::Dhcp4Parser::value_type::emplace(), isc::dhcp::Dhcp4Parser::basic_symbol< Base >::empty(), isc::db::error, isc::dhcp::Dhcp4Parser::by_kind::kind(), isc::dhcp::Dhcp4Parser::by_kind::kind_, isc::dhcp::Dhcp4Parser::basic_symbol< Base >::location, isc::data::merge(), isc::dhcp::Dhcp4Parser::basic_symbol< Base >::move(), isc::dhcp::Dhcp4Parser::symbol_kind::S_auth_type_value, isc::dhcp::Dhcp4Parser::symbol_kind::S_BOOLEAN, isc::dhcp::Dhcp4Parser::symbol_kind::S_control_socket_type_value, isc::dhcp::Dhcp4Parser::symbol_kind::S_ddns_conflict_resolution_mode_value, isc::dhcp::Dhcp4Parser::symbol_kind::S_ddns_replace_client_name_value, isc::dhcp::Dhcp4Parser::symbol_kind::S_FLOAT, isc::dhcp::Dhcp4Parser::symbol_kind::S_INTEGER, isc::dhcp::Dhcp4Parser::symbol_kind::S_map_value, isc::dhcp::Dhcp4Parser::symbol_kind::S_ncr_protocol_value, isc::dhcp::Dhcp4Parser::symbol_kind::S_on_fail_mode, isc::dhcp::Dhcp4Parser::symbol_kind::S_outbound_interface_value, isc::dhcp::Dhcp4Parser::symbol_kind::S_socket_type, isc::dhcp::Dhcp4Parser::symbol_kind::S_ssl_mode, isc::dhcp::Dhcp4Parser::symbol_kind::S_STRING, isc::dhcp::Dhcp4Parser::symbol_kind::S_value, isc::dhcp::Dhcp4Parser::symbol_kind::S_YYEOF, isc::dhcp::Dhcp4Parser::symbol_kind::S_YYerror, isc::dhcp::Dhcp4Parser::symbol_kind::S_YYUNDEF, isc::dhcp::Dhcp4Parser::basic_symbol< Base >::value, YY_MOVE, YY_REDUCE_PRINT, YY_STACK_PRINT, YY_SYMBOL_PRINT, YYABORT, YYACCEPT, YYCDEBUG, YYERROR, yylex, and YYLLOC_DEFAULT.

Referenced by operator()().

Here is the call graph for this function:

## ◆ symbol_name()

std::string isc::dhcp::Dhcp4Parser::symbol_name | ( | symbol_kind_type | yysymbol | ) |
| static

The user-facing name of the symbol whose (internal) number is YYSYMBOL.

No bounds checking.

Definition at line 5403 of file dhcp4_parser.cc.

Referenced by isc::dhcp::Dhcp4Parser::basic_symbol< by_kind >::name().

## Member Data Documentation

## ◆ YYNTOKENS

const symbol_kind_type isc::dhcp::Dhcp4Parser::YYNTOKENS = symbol_kind::YYNTOKENS
| static

The number of tokens.

Definition at line 1493 of file dhcp4_parser.h.

Referenced by isc::dhcp::Dhcp4Parser::context::expected_tokens().

The documentation for this class was generated from the following files:

- dhcp4_parser.h
- dhcp4_parser.cc